// gnome.xonotic.in.ua

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/invisible
{
	surfaceparm nolightmap
	{
		map textures/common/invisible.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/watercaulk
{
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/liquids/clear_ripple1
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .5 .5 0 .5
	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/liquids/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sockter/tree01_leaves
{
	qer_editorimage textures/sockter/tree01_leaves.tga
	q3map_backshader textures/sockter/tree01_leaves_back
	q3map_vertexscale 1.5
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/sockter/tree01_leaves.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/sockter/tree01_leaves_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/tree01_leaves.tga
		rgbgen const ( 0.225 0.225 0.225 )
		alphafunc ge128
	}
}

textures/sockter/vine06
{
	qer_editorimage textures/sockter/vine06.tga
	q3map_backshader textures/sockter/vine06_back
	q3map_vertexscale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/sockter/vine06.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/sockter/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sockter/vine06.tga
		rgbgen const ( 0.2 0.2 0.2 )
		alphafunc ge128
	}
}

textures/tunis_sky/sky1
{
	qer_editorimage textures/tunis/outdoors2.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .96 .94 .73 300 180 60
	q3map_surfacelight 400
	q3map_lightsubdivide 512
	skyparms env/tunis/sky1 512 -
}

textures/urban_terror2/glass
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/urban_terror6/flare001
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/urban_terror6/flare001.jpg
		blendfunc gl_one gl_one
	}
}

textures/ut_aztec/sky
{
	qer_editorimage textures/ut_aztec/sky.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_backsplash 0 256
	q3map_lightsubdivide 512
	q3map_skylight 40 3
	skyparms env/xy/garten - -
	{
		map textures/sweetnutz2/sn_clouds1.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod scroll 0.005 0.002
		tcmod scale 2 2
	}
}

textures/wetwired/ww-fence01
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/wetwired/ww-fence01.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

